geos::simplify Namespace Reference

Classes which implement algorithms for simplifying or generalizing geometries. More...

## Classes

class | DouglasPeuckerLineSimplifier
| Simplifies a linestring (sequence of points) using the standard Douglas-Peucker algorithm. More...
class | DouglasPeuckerSimplifier
| Simplifies a Geometry using the standard Douglas-Peucker algorithm. More...
class | PolygonHullSimplifier
class | TaggedLineSegment
| A geom::LineSegment which is tagged with its location in a geom::Geometry. More...
class | TaggedLinesSimplifier
| Simplifies a collection of TaggedLineStrings, preserving topology (in the sense that no new intersections are introduced). More...
class | TaggedLineString
| Contains and owns a list of TaggedLineSegments. More...
class | TaggedLineStringSimplifier
| Simplifies a TaggedLineString, preserving topology (in the sense that no new intersections are introduced). Uses the recursive Douglas-Peucker algorithm. More...
class | TopologyPreservingSimplifier
| Simplifies a geometry, ensuring that the result is a valid geometry having the same dimension and number of components as the input. More...

## Functions

std::ostream & | operator<< (std::ostream &os, const LinkedLine &ll)

## Detailed Description

Classes which implement algorithms for simplifying or generalizing geometries.